Author Topic: Leap-15.3 : wx-315 for cb12673  (Read 1644 times)

Offline LETARTARE

  • Lives here!
  • ****
  • Posts: 500
  • L'ami de l'homme.The friend of man.
Leap-15.3 : wx-315 for cb12673
« on: January 22, 2022, 10:33:28 pm »
I just finished adapting 'cb12673' with 'wx-3.1.5' on Leap-15.3.
I attach the corresponding patch.
The following plugins are not taken into account ( they do not have *-30-unix.cbp):
   - Addr2line
   - cbLauchner
   - devPack
   - Python
   - tydycmt

I hope this helps ?
CB-13071, plugins-sdk-2.23.0 : Collector-1.7.7, AddOnForQt-3.4.9
1-Win7 Business Pack1 64bits : wx-3.2.1, gcc-8.1.0,
2-OpenSuse::Leap-15.4-64bits : wx-3.2.1;gtk3, gcc-8.2.1,
=> !! The messages are translated by Deepl

Offline AndrewCot

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 678
Re: Leap-15.3 : wx-315 for cb12673
« Reply #1 on: January 23, 2022, 12:02:19 am »
Thanks for the work. I can use this in a few weeks to cross reference the changes I have been working on for the current Linux workspace/project build as it has some missing plugins at the high level.

Some feedback:
1) There are three ways to build on Linux as per the following list. You have done one, but the other two is the way the nightly and release are built, so are there any plans for producing a build process for the other two methods?     - Workspace/Project file     - bootstrap/config/make              (aka makefile)
     - bootstrap/dpkg-buildpackage   (aka Debian deb build)    In https://sourceforge.net/p/codeblocks/tickets/1181/ I have attached my work in progress build docs that cover the three methods above plus windows. These will help for the makefile and deb build processes if you are not familiar with them.
2) There are no Workspace/Project or script files in the src directory that allow you to build C::B with wxWidgets 3.1.x , are these missing or not done yet?
3) Do you need to build wx3.1.x or can you use the unofficial CodeLite 3.1.x wxWidget install files?4) The external src\plugins\contrib\FortranProject project currently supports wx3.0.x. Are there plans to ask the maintainer to support wx3.1.x or are you going to do it and give the update to the maintainer? The plugin main web site is https://cbfortran.sourceforge.io/
5) I would grab the latest SF code and make the same changes from https://sourceforge.net/p/codeblocks/code/12664/ as this is a very recent change that affected the unix wx3.0 files.


Just a thought: Miguel has been gradually been incorporating wx3.2 support into the SF trunk and as such it may be easier to get changes into the SF trunk if they were for wx3.2.

Offline LETARTARE

  • Lives here!
  • ****
  • Posts: 500
  • L'ami de l'homme.The friend of man.
Re: Leap-15.3 : wx-315 for cb12673
« Reply #2 on: January 23, 2022, 01:40:41 am »
@AndrewCot
Thanks.
1- I only use the construction provided,
2- I'm dizzy, I'm using 'KdeSvn' since recently and I forgot to validate the new 'Project/Workspace' files ...
3- 'Leap-15.3' allows to have: 'wx-3.0.5' AND 'wx-3.1.5', but the development packages are exclusive from each other, so I had some difficulties to use 'update-alternatives' ... and then I choose one or the other : currently I use 'wx-3.1.5',
4- I let the developer adapt his project,
5- it's by reading 'Unbunto.patch' by 'Michel Gimenez' that I tried to switch to 'wx-3.1.5', to not modify his work, it is long enough and not very gratifying !

I attach a version that I hope corrected ...

I leave you because the tennis matches start in your area ...
CB-13071, plugins-sdk-2.23.0 : Collector-1.7.7, AddOnForQt-3.4.9
1-Win7 Business Pack1 64bits : wx-3.2.1, gcc-8.1.0,
2-OpenSuse::Leap-15.4-64bits : wx-3.2.1;gtk3, gcc-8.2.1,
=> !! The messages are translated by Deepl